Page MenuHomePhabricator

Phabricator boards should live update
Closed, ResolvedPublic

Tokens
"Love" token, awarded by Qgil."Mountain of Wealth" token, awarded by phuedx."Love" token, awarded by MBinder_WMF."Love" token, awarded by Sebastian_Berlin-WMSE."Like" token, awarded by JMinor."Love" token, awarded by KLans_WMF.
Assigned To
None
Authored By
Milimetric, Apr 24 2014

Description

Let's focus this task on the case of "Phabricator boards should live update", since this seems to be the real-time update that matters.

Filed upstream: Workboards updating in real time

Trello and Asana have real-time collaboration built-in and it's very very useful, especially for remote teams. For now, the two most useful features, in my opinion, would be:

  • if two people are watching a Workboard, and one of them moves a task around, the other should see the updates in real time

This would enable tasking / prioritization to go much more smoothly for remote meetings.

Upstream has already communicated that this is a pretty tough feature. We will start by implementing T765: Enable notification server (real-time pop-up notifications) in Phabricator, which exists today and just needs to be enabled.

From the previous description:

(This shouldn't be a big problem once pop-up notifications are enabled, but needs to be verified.)

Details

Reference
fl219

Event Timeline

flimport raised the priority of this task from to Lowest.Sep 12 2014, 1:31 AM
flimport set Reference to fl219.

qgiltest wrote on 2014-04-24 22:05:06 (UTC)

Sorry for the noise, I was just testing the missing features.

qgil wrote on 2014-04-25 04:18:21 (UTC)

You can check both tasks upstream to know about their current status.

Summary:

  • We could enable a Notification server that would create real-time sticky notifications in certain situations: "This task has been updated, click to reload.", but the actual update won't be applied to the HTML in the page. It can be tested at http://secure.phabricator.com
  • Real-time updates for boards "is a pretty solid use case", they say. The task has been marked as Wishlist, and the same priority has been set here accordingly.
  • Very interesting comments about the cost of Asana's implementation vs their Notifications server. No spoliers, go read it there. :)

... and again, I'm impressed by the speed and quality of their feedback.

milimetric wrote on 2014-04-25 12:03:36 (UTC)

Agreed on the quality of their feedback. But when you say "go read it there" I'm not sure where you mean. I went to the notification server link you pasted and couldn't find anything.

qgil wrote on 2014-04-25 14:30:37 (UTC)

Sorry, I meant the two tasks "Filed upstream" and linked in the description.

qgil wrote on 2014-05-24 17:32:44 (UTC)

Tasks updating in real-time when dependents are changed has been closed as wontfix. See the reasoning in the link.

Qgil renamed this task from Real Time collaboration features to Phabricator boards should live update.Nov 8 2014, 8:44 AM
Qgil updated the task description. (Show Details)
Qgil added a project: Project-Management.
Qgil set Security to None.
Qgil raised the priority of this task from Lowest to Low.Nov 8 2014, 8:47 AM

Title and description updated. I will ask upstream for an estimation of what it takes to implement this (complex!) feature. I'm also rising priority one step up to imply that the Wikimedia Phabricator team takes it into account even if this is a project to be tackled upstream. Low and not anything higher to set expectation right; it is really a feature with a complex implementation. Also added to Project-Management to have it under another radar.

Qgil moved this task from To Triage to Need discussion on the Phabricator board.
Qgil added a subscriber: Quiddity.Apr 11 2015, 8:29 PM

Interesting.

Quick note, that performance would be my biggest concern as an end-user.
When we were using Trello, it would frequently cause my (firefox) browser to "freeze" for 30-60 seconds at a time, whilst medium to large size boards were loading, and dragging cards around was usually sluggish-feeling. e.g. https://trello.com/b/k5N0ivoM/research-and-data
Versus my experience with Phabricator so far, which has been that medium size boards load quite rapidly, and dragging cards around feels quite responsive. e.g. (1,600+ cards) https://phabricator.wikimedia.org/tag/flow/

jayvdb added a subscriber: jayvdb.Jun 11 2015, 2:33 AM
Restricted Application added a subscriber: TerraCodes. · View Herald TranscriptMay 23 2016, 6:06 PM
phuedx awarded a token.May 9 2017, 4:46 PM
Aklapper closed this task as Resolved.Fri, Aug 23, 8:02 AM
Qgil awarded a token.Fri, Aug 23, 1:54 PM